add_library( DCOP-shared SHARED IMPORTED )

set_target_properties( DCOP-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tqt;tqt-mt"
  IMPORTED_LOCATION "/usr/lib64/libDCOP.so.4.2.0"
  IMPORTED_SONAME "libDCOP.so.4" )

add_library( kglib-shared SHARED IMPORTED )

set_target_properties( kglib-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tqt;tqt-mt;glib-2.0;gobject-2.0"
  IMPORTED_LOCATION "/usr/lib64/libkglib.so.0.0.0"
  IMPORTED_SONAME "libkglib.so.0" )

add_library( tdefx-shared SHARED IMPORTED )

set_target_properties( tdefx-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tqt;tqt-mt;Xrender;X11"
  IMPORTED_LOCATION "/usr/lib64/libtdefx.so.4.2.0"
  IMPORTED_SONAME "libtdefx.so.4" )

add_library( kimproxy-shared SHARED IMPORTED )

set_target_properties( kimproxy-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libkimproxy.so.0.0.0"
  IMPORTED_SONAME "libkimproxy.so.0" )

add_library( tdecore-shared SHARED IMPORTED )

set_target_properties( tdecore-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "DCOP-shared;tdefx-shared;/usr/lib64/libz.so;idn;Xcomposite;ICE;SM;udev;gamin-1;dbus-1-tqt"
  IMPORTED_LOCATION "/usr/lib64/libtdecore.so.4.2.0"
  IMPORTED_SONAME "libtdecore.so.4" )

add_library( tdefakes-shared SHARED IMPORTED )

set_target_properties( tdefakes-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES ""
  IMPORTED_LOCATION "/usr/lib64/libtdefakes.so.4.2.0"
  IMPORTED_SONAME "libtdefakes.so.4" )

add_library( kunittest-shared SHARED IMPORTED )

set_target_properties( kunittest-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libkunittest.so.1.0.0"
  IMPORTED_SONAME "libkunittest.so.1" )

add_library( tdeui-shared SHARED IMPORTED )

set_target_properties( tdeui-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared;freetype;fontconfig"
  IMPORTED_LOCATION "/usr/lib64/libtdeui.so.4.2.0"
  IMPORTED_SONAME "libtdeui.so.4" )

add_library( kspell-shared SHARED IMPORTED )

set_target_properties( kspell-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tqt;tqt-mt"
  IMPORTED_LOCATION "/usr/lib64/libkspell.so.4.2.0"
  IMPORTED_SONAME "libkspell.so.4" )

add_library( tdesu-shared SHARED IMPORTED )

set_target_properties( tdesu-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared;util"
  IMPORTED_LOCATION "/usr/lib64/libtdesu.so.4.2.0"
  IMPORTED_SONAME "libtdesu.so.4" )

add_library( kjs-shared SHARED IMPORTED )

set_target_properties( kjs-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared;pcre"
  IMPORTED_LOCATION "/usr/lib64/libkjs.so.1.2.0"
  IMPORTED_SONAME "libkjs.so.1" )

add_library( kmid-shared SHARED IMPORTED )

set_target_properties( kmid-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared;/usr/lib64/libasound.so"
  IMPORTED_LOCATION "/usr/lib64/libkmid.so.0.0.95"
  IMPORTED_SONAME "libkmid.so.0" )

add_library( kwalletclient-shared SHARED IMPORTED )

set_target_properties( kwalletclient-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libkwalletclient.so.1.0.1"
  IMPORTED_SONAME "libkwalletclient.so.1" )

add_library( kwalletbackend-shared SHARED IMPORTED )

set_target_properties( kwalletbackend-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libkwalletbackend.so.1.0.0"
  IMPORTED_SONAME "libkwalletbackend.so.1" )

add_library( tdesasl-shared SHARED IMPORTED )

set_target_properties( tdesasl-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libtdesasl.so.1.2.0"
  IMPORTED_SONAME "libtdesasl.so.1" )

add_library( kntlm-shared SHARED IMPORTED )

set_target_properties( kntlm-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libkntlm.so.0.0.0"
  IMPORTED_SONAME "libkntlm.so.0" )

add_library( kio-shared SHARED IMPORTED )

set_target_properties( kio-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdeui-shared;tdesu-shared;kwalletclient-shared"
  IMPORTED_LOCATION "/usr/lib64/libkio.so.4.2.0"
  IMPORTED_SONAME "libkio.so.4" )

add_library( kscreensaver-shared SHARED IMPORTED )

set_target_properties( kscreensaver-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libkscreensaver.so.4.2.0"
  IMPORTED_SONAME "libkscreensaver.so.4" )

add_library( tdeinit_kded-shared SHARED IMPORTED )

set_target_properties( tdeinit_kded-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libtdeinit_kded.so"
  IMPORTED_SONAME "libtdeinit_kded.so" )

add_library( kparts-shared SHARED IMPORTED )

set_target_properties( kparts-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libkparts.so.2.1.0"
  IMPORTED_SONAME "libkparts.so.2" )

add_library( networkstatus-shared SHARED IMPORTED )

set_target_properties( networkstatus-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdeui-shared"
  IMPORTED_LOCATION "/usr/lib64/libnetworkstatus.so.0.0.0"
  IMPORTED_SONAME "libnetworkstatus.so.0" )

add_library( kutils-shared SHARED IMPORTED )

set_target_properties( kutils-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kparts-shared"
  IMPORTED_LOCATION "/usr/lib64/libkutils.so.1.2.0"
  IMPORTED_SONAME "libkutils.so.1" )

add_library( connectionmanager-shared SHARED IMPORTED )

set_target_properties( connectionmanager-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "networkstatus-shared"
  IMPORTED_LOCATION "/usr/lib64/libconnectionmanager.so.0.0.0"
  IMPORTED_SONAME "libconnectionmanager.so.0" )

add_library( kspell2-shared SHARED IMPORTED )

set_target_properties( kspell2-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kutils-shared"
  IMPORTED_LOCATION "/usr/lib64/libkspell2.so.1.0.0"
  IMPORTED_SONAME "libkspell2.so.1" )

add_library( kmdi2-shared SHARED IMPORTED )

set_target_properties( kmdi2-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kutils-shared"
  IMPORTED_LOCATION "/usr/lib64/libkmdi2.so.1.0.0"
  IMPORTED_SONAME "libkmdi2.so.1" )

add_library( kmdi-shared SHARED IMPORTED )

set_target_properties( kmdi-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kmdi2-shared"
  IMPORTED_LOCATION "/usr/lib64/libkmdi.so.1.0.0"
  IMPORTED_SONAME "libkmdi.so.1" )

add_library( kmediaplayer-shared SHARED IMPORTED )

set_target_properties( kmediaplayer-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kparts-shared"
  IMPORTED_LOCATION "/usr/lib64/libkmediaplayer.so.0.0.0"
  IMPORTED_SONAME "libkmediaplayer.so.0" )

add_library( tdeprint_management-shared SHARED IMPORTED )

set_target_properties( tdeprint_management-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdeprint-shared"
  IMPORTED_LOCATION "/usr/lib64/libtdeprint_management.so.4.2.0"
  IMPORTED_SONAME "libtdeprint_management.so.4" )

add_library( tdeprint-shared SHARED IMPORTED )

set_target_properties( tdeprint-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libtdeprint.so.4.2.0"
  IMPORTED_SONAME "libtdeprint.so.4" )

add_library( knewstuff-shared SHARED IMPORTED )

set_target_properties( knewstuff-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libknewstuff.so.1.0.0"
  IMPORTED_SONAME "libknewstuff.so.1" )

add_library( kresources-shared SHARED IMPORTED )

set_target_properties( kresources-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libkresources.so.1.2.0"
  IMPORTED_SONAME "libkresources.so.1" )

add_library( vcard-shared SHARED IMPORTED )

set_target_properties( vcard-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libvcard.so.0.0.0"
  IMPORTED_SONAME "libvcard.so.0" )

add_library( kabc_file-shared SHARED IMPORTED )

set_target_properties( kabc_file-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kabc-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_file.so.1.0.0"
  IMPORTED_SONAME "libkabc_file.so.1" )

add_library( krsync-shared SHARED IMPORTED )

set_target_properties( krsync-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdeui-shared;kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libkrsync.so.0.0.1"
  IMPORTED_SONAME "libkrsync.so.0" )

add_library( kabc_dir-shared SHARED IMPORTED )

set_target_properties( kabc_dir-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kabc-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_dir.so.1.0.0"
  IMPORTED_SONAME "libkabc_dir.so.1" )

add_library( kabc_net-shared SHARED IMPORTED )

set_target_properties( kabc_net-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kabc-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_net.so.1.0.0"
  IMPORTED_SONAME "libkabc_net.so.1" )

add_library( kabc_ldapkio-shared SHARED IMPORTED )

set_target_properties( kabc_ldapkio-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kabc-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc_ldapkio.so.1.0.0"
  IMPORTED_SONAME "libkabc_ldapkio.so.1" )

add_library( kabc-shared SHARED IMPORTED )

set_target_properties( kabc-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "vcard-shared;kio-shared;kresources-shared"
  IMPORTED_LOCATION "/usr/lib64/libkabc.so.1.2.0"
  IMPORTED_SONAME "libkabc.so.1" )

add_library( kdnssd-shared SHARED IMPORTED )

set_target_properties( kdnssd-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdecore-shared"
  IMPORTED_LOCATION "/usr/lib64/libkdnssd.so.1.0.0"
  IMPORTED_SONAME "libkdnssd.so.1" )

add_library( artskde-shared SHARED IMPORTED )

set_target_properties( artskde-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared;mcop;artsflow_idl;kmedia2_idl;soundserver_idl;artsflow;qtmcop"
  IMPORTED_LOCATION "/usr/lib64/libartskde.so.1.2.0"
  IMPORTED_SONAME "libartskde.so.1" )

add_library( ktexteditor-shared SHARED IMPORTED )

set_target_properties( ktexteditor-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdeui-shared;kabc-shared;kparts-shared"
  IMPORTED_LOCATION "/usr/lib64/libktexteditor.so.0.0.0"
  IMPORTED_SONAME "libktexteditor.so.0" )

add_library( kscript-shared SHARED IMPORTED )

set_target_properties( kscript-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kio-shared"
  IMPORTED_LOCATION "/usr/lib64/libkscript.so.0.0.0"
  IMPORTED_SONAME "libkscript.so.0" )

add_library( katepartinterfaces-shared SHARED IMPORTED )

set_target_properties( katepartinterfaces-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "ktexteditor-shared"
  IMPORTED_LOCATION "/usr/lib64/libkatepartinterfaces.so.0.0.0"
  IMPORTED_SONAME "libkatepartinterfaces.so.0" )

add_library( krandr-shared SHARED IMPORTED )

set_target_properties( krandr-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tdeui-shared;Xrandr;Xext"
  IMPORTED_LOCATION "/usr/lib64/libkrandr.so.0.0.95"
  IMPORTED_SONAME "libkrandr.so.0" )

add_library( kjava-shared SHARED IMPORTED )

set_target_properties( kjava-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "tqt;tqt-mt"
  IMPORTED_LOCATION "/usr/lib64/libkjava.so.1.0.0"
  IMPORTED_SONAME "libkjava.so.1" )

add_library( khtml-shared SHARED IMPORTED )

set_target_properties( khtml-shared PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES "kutils-shared;tdeprint-shared;kjs-shared;/usr/lib64/libjpeg.so"
  IMPORTED_LOCATION "/usr/lib64/libkhtml.so.4.2.0"
  IMPORTED_SONAME "libkhtml.so.4" )

